﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Airbus
{
    internal static class ExtentionPlane
    {
        /// <summary>
        /// Разделитель для записи информации по объекту в файл
        /// </summary>
        private static readonly char _separatorForObject = ':';
        /// <summary>
        /// Создание объекта из строки
        /// </summary>
        /// <param name="info"></param>
        /// <returns></returns>
        public static DrawningPlane CreateDrawningPlane(this string info)
        {
            string[] strs = info.Split(_separatorForObject);
            if (strs.Length == 3)
            {
                return new DrawningPlane(Convert.ToInt32(strs[0]), Convert.ToInt32(strs[1]), Color.FromName(strs[2]));
            }
            if (strs.Length == 7)
            {
                return new DrawningAirbus(Convert.ToInt32(strs[0]), Convert.ToInt32(strs[1]), Color.FromName(strs[2]), Color.FromName(strs[3]), Convert.ToBoolean(strs[4]), Convert.ToBoolean(strs[5]), Convert.ToBoolean(strs[6]));
            }
            return null;
        }
        /// <summary>
        /// Получение данных для сохранения в файл
        /// </summary>
        /// <param name="drawningPlane"></param>
        /// <returns></returns>
        public static string GetDataForSave(this DrawningPlane drawningPlane)
        {
            var plane = drawningPlane.Plane;
            var str = $"{plane.Speed}{_separatorForObject}{plane.Weight}{_separatorForObject}{plane.BodyColor. Name}";
            if (plane is not EntityAirbus airbus)
            {
                return str;
            }
            return
           $"{str}{_separatorForObject}{airbus.DopColor.Name}{_separatorForObject}{airbus.BodyKit}{_separatorForObject}{airbus.Wing}{_separatorForObject}{airbus.SportLine}";
        }
    }
}
