using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Logging;
using Serilog;

namespace Airbus
{
    internal static class Program
    {
        /// <summary>
        ///  The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // To customize application configuration such as set high DPI settings or default font,
            // see https://aka.ms/applicationconfiguration.
            ApplicationConfiguration.Initialize();
            var services = new ServiceCollection();
            ConfigureServices(services);
            using (ServiceProvider serviceProvider = services.BuildServiceProvider())
            {
                Application.Run(serviceProvider.GetRequiredService<FormMapWithSetPlanes>());
            }
        }
        private static void ConfigureServices(ServiceCollection services)
        {
            var serilogLogger = new LoggerConfiguration().WriteTo.File("seriallog.txt").CreateLogger();

            services.AddSingleton<FormMapWithSetPlanes>()
                .AddLogging(option =>
                {
                    option.SetMinimumLevel(LogLevel.Information);
                    option.AddSerilog(logger: serilogLogger, dispose: true);
                });
        }
    }
}